#5 Import QIF plugin Buddi 2.4 and 2.6

open
nobody
None
5
2007-08-19
2007-05-02
jholbrook
No

The plugin imports QIF files.
It currently imports the following line types:
D,T,N,P,M

It will automatically create an Unclassified Expense Category and Unclassified Income Category to associate unknown In and Out items. You will then need to modify these per transaction to your liking. Because of this, transactions between accounts will be registered twice, you will need to delete one when assigning categories for the transactions.

Enjoy

Discussion

1 2 > >> (Page 1 of 2)
  • jholbrook
    jholbrook
    2007-05-02

    Logged In: YES
    user_id=1268732
    Originator: YES

    File Added: ImportQIF.zip

     
  • Wyatt
    Wyatt
    2007-06-11

    • status: open --> closed
     
  • Wyatt
    Wyatt
    2007-06-11

    Logged In: YES
    user_id=1200533
    Originator: NO

    Added to Plugins download section. Removing from this tracker.

     
  • Wyatt
    Wyatt
    2007-06-11

    Logged In: YES
    user_id=1200533
    Originator: NO

    Actually, I am not sure if this is the same version of the plugin as the one I released. If this is a different version, please let me know and I will re-open the tracker ticket...

     
  • jholbrook
    jholbrook
    2007-06-12

    Logged In: YES
    user_id=1268732
    Originator: YES

    This importer works for version 2.2, I think there was other development for 2.4 API. I didn't see this listed in the download section.

     
  • Wyatt
    Wyatt
    2007-06-12

    • status: closed --> open
     
  • Wyatt
    Wyatt
    2007-06-12

    Logged In: YES
    user_id=1200533
    Originator: NO

    Never mind - this was my mistake. I will re-open the ticket.

    Do you have any plans on updating this for the 2.4 API? If not, would you mind if I did?

    If you wish to continue maintaining this, you can add your plugin to the buddi-plugins project. This will give you a repository to store your work, as well as allow me to verify that changes to Buddi don't result in compile time errors. (With the stable API, this will be less of a problem, but it's still nice). If you wish to do this, please email me directly, and I will include you as a developer of the buddi-plugins project. This will give you write access to the plugins project, and you can add what you have currently.

    Cheers

     
  • jholbrook
    jholbrook
    2007-06-18

    Logged In: YES
    user_id=1268732
    Originator: YES

    Made changes to be compatible with Buddi 2.4, file is v0.2
    File Added: ImportQIF-2.4_0.2.zip

     
  • jholbrook
    jholbrook
    2007-06-18

    • summary: Import QIF plugin v0.1 --> Import QIF plugin v0.1 & v0.2 for Buddi 2.4
     
  • jholbrook
    jholbrook
    2007-08-17

    Logged In: YES
    user_id=1268732
    Originator: YES

    Tested v0.2 with Buddi 2.6 with no problems.

     
  • jholbrook
    jholbrook
    2007-08-17

    • summary: Import QIF plugin v0.1 & v0.2 for Buddi 2.4 --> Import QIF plugin v0.2 for Buddi 2.4 and 2.6
     
  • Hardik
    Hardik
    2007-08-19

    Logged In: YES
    user_id=1866560
    Originator: NO

    i have problems using this plugin with 2.6.0.1, getting the following error when Adding plugin in preferences:

    There are no Buddi plugins in this JAR file,
    or there was a problem loading the plugins.
    Ensure you have selected a valid plugin file.

    Thanks...

     
  • Wyatt
    Wyatt
    2007-08-19

    Logged In: YES
    user_id=1200533
    Originator: NO

    This plugin has not yet been updated for the 2.6 API. Once it is updated, I will put it with the other plugins.

    Cheers

     
  • jholbrook
    jholbrook
    2007-08-19

    • summary: Import QIF plugin v0.2 for Buddi 2.4 and 2.6 --> Import QIF plugin Buddi 2.4 and 2.6
     
  • jholbrook
    jholbrook
    2007-08-19

    Logged In: YES
    user_id=1268732
    Originator: YES

    Sorry, kindof ridiculous, the get version method has to say 2.6 instead of 2.4
    I didn't reimport the plugin for the previous test for compatibility.
    File Added: ImportQIF-2.6_0.3.zip

     
  • Hardik
    Hardik
    2007-08-19

    Logged In: YES
    user_id=1866560
    Originator: NO

    I have attached QIF format from my bank and while importing gives me a java.lang.NumberFormatException with v0.3 of plugin...
    Please help if possible or let me know if I am doing anything wrong,
    Thanks...

    !Type:Bank

    D07/30/2007

    PDescription1

    TXX.XX

    C*

    ^

    D07/31/2007

    PDescription2

    TXXXX.XX

    C*

    ^

    D07/31/2007

    PDescription3

    TXXX.XX

    C*

    ^

    D08/01/2007

    PDescription4

    T-XXX.XX

    C*

    ^

    D08/01/2007

    PDescription5

    T-XXX.XX

    C*

    ^

    D08/09/2007

    PDescription6

    T-XXX.XX

    C*

    ^

    D08/10/2007

    PDescription7

    TXXX.XX

    C*

    ^

     
  • jholbrook
    jholbrook
    2007-08-20

    Import QIF plugin v0.4 for Buddi 2.4

     
    Attachments
  • jholbrook
    jholbrook
    2007-08-20

    Logged In: YES
    user_id=1268732
    Originator: YES

    File Added: ImportQIF-2.4_0.4.zip

     
  • jholbrook
    jholbrook
    2007-08-20

    Import QIF plugin v0.4 for Buddi 2.6

     
    Attachments
  • jholbrook
    jholbrook
    2007-08-20

    Logged In: YES
    user_id=1268732
    Originator: YES

    File Added: ImportQIF-2.6_0.4.zip

     
  • jholbrook
    jholbrook
    2007-08-20

    Logged In: YES
    user_id=1268732
    Originator: YES

    Version 0.4
    Updated the transaction amount parsing and the date parsing.
    Valid date formats are now:
    M/d/y
    M-d-y
    d-M'y
    If the year is actually represented by one character the date will parse in the first decade AD, sorry :(
    If the one character year is needed then I will have to work on some preprocessing of the date later.

    Valid Dates:
    12/31/2007
    1/1/2007
    1/1/07
    12-31-2007
    1-1-2007
    1-1-07
    31/12'2007
    1/1'2007
    1/1'07

     
  • jholbrook
    jholbrook
    2007-08-20

    Logged In: YES
    user_id=1268732
    Originator: YES

    As for technovative, the file can't have any blank lines. I replaced all the Xs with 1s and the file imported with v0.3 , if you are importing what you display here then you would get NumberFormatException because XX.XX is not a number.

     
  • Hardik
    Hardik
    2007-08-20

    Logged In: YES
    user_id=1866560
    Originator: NO

    Thanks mitywity...I found the problem and its not blank lines. While replacing the actual amounts with XXXX.XX, I removed the digit separator.
    So, an amount of 1000 works but 1,000 does not work with v0.3. Can you please set your parser to ignore a separator if present in the next version.

    Thanks once again for making life easier....

     
  • jholbrook
    jholbrook
    2007-08-20

    Logged In: YES
    user_id=1268732
    Originator: YES

    I did see that would be an issue and that was the fix I made in parsing amounts for v0.4
    So you should be good with v0.4, thanks for your bug report.

     
1 2 > >> (Page 1 of 2)